> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a custom role

> Create a custom role that can be set on users.



## OpenAPI

````yaml /swagger/management-api.json post /api/v1/{team_slug}/{app_slug}/custom-roles
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/custom-roles:
    post:
      tags:
        - CustomRoles
      summary: Create a custom role
      description: Create a custom role that can be set on users.
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/internal_pkg_webserver_v1.InputCustomRole'
      responses:
        '200':
          description: custom role created successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponse-internal_pkg_webserver_v1_CustomRole
        '400':
          description: Invalid request (e.g. bad payload, validation error)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '409':
          description: Conflict (e.g. already exists)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  requestBodies:
    internal_pkg_webserver_v1.InputCustomRole:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/internal_pkg_webserver_v1.InputCustomRole'
      description: custom role details
      required: true
  schemas:
    internal_pkg_webserver_v1.OkResponse-internal_pkg_webserver_v1_CustomRole:
      properties:
        data:
          $ref: '#/components/schemas/internal_pkg_webserver_v1.CustomRole'
        details:
          description: >-
            Additional contextual information about the response. Used to
            provide supplementary details beyond the main data payload, such as
            validation warnings or processing notes
          items:
            type: string
          type: array
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.InputCustomRole:
      properties:
        is_default:
          type: boolean
        name:
          type: string
        slug:
          type: string
      required:
        - name
        - slug
      type: object
    internal_pkg_webserver_v1.CustomRole:
      properties:
        app_id:
          type: string
        created_at:
          type: string
        id:
          type: string
        is_default:
          type: boolean
        name:
          type: string
        slug:
          type: string
        updated_at:
          type: string
      type: object

````